Unblock Reserve Slots
Use this API to unblock the reserved slots in Appointment Manager.
For more Error Responses, click here.
Rate Limit
60 requests per minute
Format Supported
JSON
Authenticated Resource
API Key
For more information on Authentication, click here.
To reserve a slot or to generate reserveSlotId, click here.
curl --location --request PUT 'https://api.fourkites.com/api/v1/unblock_reserve_slot' \
--header 'Content-Type: application/json' \
--header 'apikey: REPLACE_KEY_VALUE' \
--data-raw '{
"reserveSlotId": 1539865
}'curl --location --request PUT 'https://api-staging.fourkites.com/api/v1/unblock_reserve_slot' \
--header 'Content-Type: application/json' \
--header 'apikey: REPLACE_KEY_VALUE' \
--data-raw '{
"reserveSlotId": 1539865
}'Error Responses
Action | Response Message |
|---|---|
Invalid Auth | {"message": "Invalid authentication credentials"} |
Appointment already booked on reserve slot | { "code":400, "error":{ "message":"Invalid Request Params", "code":400, "errors":[ { "domain":"oas", "reason":"Already an appointment is booked in the reserved slot", "message":"Invalid Request Params" } ] }, "request_id":"cr24o6nr816353h819rg" } |
Recurring Reserved Slot Id is passed | { "code":400, "error":{ "message":"Invalid Request Params", "code":400, "errors":[ { "domain":"oas", "reason":"Recurring Reserved Slot Appointment cannot be unblocked", "message":"Invalid Request Params" } ] }, "request_id":"cr24qivr816353h81ag0" } |
